#ifndef DISPLAY_H_
#define DISPLAY_H_
/* $Id: display.h,v 1.5 2004/03/16 19:28:11 ian Exp $
 * Copyright (c) 2003 Ian Glover
 *
 * This file is part of wmfuzzy and is distributed under the GNU
 * GPL. See file COPYING for details.
 *
 * This provides a generic interface to the display specific code.
 * The main advantage of this is if I do get round to porting to a
 * Gnome dockapp or hacking the windows clock.
 */

/* Function definition required for all the callback functions. */
typedef void (*Callback)(void);

/* Change to message displayed by the library. */
void set_message(char* lines[], int nLines);

/* Set the application name for the window manager. */
void set_app_name(const char* name);

/* Set how often the update function is called and allow the callback
   to be registered */
void set_update_delay(int seconds);
void set_update_callback(Callback fn);

/* This registers the callback that is called every time the amount
   window visible to the world is changed. */
void set_expose_callback(Callback fn);

/* This registers callback for when the windowed is clicked. */
void set_clicked_callback(Callback fn);

/* Functions for specifying background and foreground colours. */
void set_foreground(const char* colour);
void set_background(const char* colour);

/* This function should be supplied by the dockApp application code to
   perform initialisation, registering callbacks etc. */
extern void app_setup(int argc, char* argv[]);

#endif
