#ifndef XDISPLAY_H_
#define XDISPLAY_H_
/*
 * $Id: xdisplay.h,v 1.3 2003/05/11 12:18:19 ian Exp $
 * Copyright (c) 2003 Ian Glover
 *
 * This file is part of wmfuzzy and is distributed under the GNU
 * GPL. See file COPYING for details.
 *
 * X dock app low-level code. Should generally be accessed via the
 * functions in display.h.
 */

#define MAX_LINES 4
extern char* x_msg_lines[];

/* Set up code. Must be called prior to x_main_loop. */
void x_initialise();

/* Main running loop. */
void x_main_loop();

/* Tidy up any resources we've grabbed prior to exiting. Should be
 * called when x_main_loop terminates. */
void x_free_resources();

/* Set the application name of the window manager. */
void x_set_app_name();

/* Set the intervale between calls to the update function. */
void x_set_update_delay(int seconds);

/* Set the foreground colour */
void x_set_foreground(const char* colour);

/* Set the background colour */
void x_set_background(const char* colour);

#endif
